Got error: "Error: wallet.dat corrupt, salvage failed" when runing ./src/zcashd affter update to v5.3.0

Hi, I just cot error: “Error: wallet.dat corrupt, salvage failed” when runing ./src/zcashd affter update to v5.3.0

Messages:

  • Error: wallet.dat corrupt, salvage failed

Init message: Verifying wallet…
Please help me :frowning:

Now error:
Since starting this node 6 seconds ago:

  • You have validated no transactions.

Messages:

  • Error: Error opening block database

Init message: Loading block index…

[Press Ctrl+C to exit] [Set ‘showmetrics=0’ to hide]

ubuntu@zcashfullnode:~/zcash$

1 Like

Do you have your private keys of this wallet backed up?